
function InitFrame(player)

  local config = settings.get_player_settings(player)
  local wid = config["Test_width"].value
  local hig = config["Test_height"].value

  local frame = player.gui.left.add {
                name = "Test_main",
                type = "frame",
                direction = "vertical",
                caption = "Test"
  }
  frame.style.minimal_width  = wid
  frame.style.maximal_width  = wid
  frame.style.minimal_height = hig
  frame.style.maximal_height = hig
  
  local btnflow = frame.add {
                  name = "Test_btnflow",
                  type = "flow",
                  direction = "horizontal"
  }
  
  btnflow.add {
          name = "Test_btn_pause",
          type = "button",
          caption = "Top"
  }
  
  local txtbox = frame.add {
                 name = "Test_textbox",
                 type = "text-box"
  }

  txtbox.word_wrap = true
  txtbox.style.minimal_width = wid - 50
  txtbox.style.maximal_width = wid - 50
  txtbox.style.minimal_height = hig - 120
  txtbox.style.maximal_height= hig - 120

  txtbox.text ="Test Started"

  local inpflow = frame.add {
                  name = "Test_inpflow",
                  type = "flow",
                  direction = "horizontal"
  }
  
  local inpfld = inpflow.add {
                 name = "Test_textfield",
                 type = "textfield"
  }
  
  inpflow.add {
          name = "Test_btn_test",
          type = "button",
          caption = "Test"
  }

end

script.on_event(defines.events.on_player_created, function(event)
  InitFrame(game.players[event.player_index])
end)

script.on_event(defines.events.on_runtime_mod_setting_changed, function(event)
  local player = game.players[event.player_index]
  local frame = player.gui.left["Test_main"]

  if frame ~= nil then
    frame.destroy()
    InitFrame(game.players[event.player_index])
  end
end)